<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.xhtml"><span>All</span></a></li>
      <li><a href="functions_func.xhtml"><span>Functions</span></a></li>
      <li><a href="functions_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="functions_enum.xhtml"><span>Enumerations</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.xhtml#index__"><span>_</span></a></li>
      <li><a href="functions_a.xhtml#index_a"><span>a</span></a></li>
      <li><a href="functions_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="functions_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="functions_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="functions_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="functions_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="functions_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="functions_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="functions_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="functions_k.xhtml#index_k"><span>k</span></a></li>
      <li><a href="functions_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="functions_m.xhtml#index_m"><span>m</span></a></li>
      <li class="current"><a href="functions_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="functions_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="functions_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="functions_q.xhtml#index_q"><span>q</span></a></li>
      <li><a href="functions_r.xhtml#index_r"><span>r</span></a></li>
      <li><a href="functions_s.xhtml#index_s"><span>s</span></a></li>
      <li><a href="functions_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="functions_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="functions_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="functions_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="functions_x.xhtml#index_x"><span>x</span></a></li>
      <li><a href="functions_y.xhtml#index_y"><span>y</span></a></li>
      <li><a href="functions_z.xhtml#index_z"><span>z</span></a></li>
      <li><a href="functions_0x7e.xhtml#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_n.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all struct and union fields with links to the structures/unions they belong to:</div>

<h3><a class="anchor" id="index_n"></a>- n -</h3><ul>
<li>name()
: <a class="el" href="classarm__compute_1_1_kernel.xhtml#a37627d5d5bba7f4a8690c71c2ab3cb07">Kernel</a>
, <a class="el" href="classarm__compute_1_1_program.xhtml#a37627d5d5bba7f4a8690c71c2ab3cb07">Program</a>
</li>
<li>NEAbsoluteDifferenceKernel()
: <a class="el" href="classarm__compute_1_1_n_e_absolute_difference_kernel.xhtml#a3ea3f6066aa44e4322fe392abc8d6b3d">NEAbsoluteDifferenceKernel</a>
</li>
<li>NEAccumulateSquaredKernel()
: <a class="el" href="classarm__compute_1_1_n_e_accumulate_squared_kernel.xhtml#a160d96f1b3b6fc7b1f5e8fd10617e34e">NEAccumulateSquaredKernel</a>
</li>
<li>NEAccumulateWeightedKernel()
: <a class="el" href="classarm__compute_1_1_n_e_accumulate_weighted_kernel.xhtml#a044d704971675daa53757df82be00583">NEAccumulateWeightedKernel</a>
</li>
<li>NEActivationLayerKernel()
: <a class="el" href="classarm__compute_1_1_n_e_activation_layer_kernel.xhtml#af5c940969e40e1ae12411bb025a117f2">NEActivationLayerKernel</a>
</li>
<li>NEArithmeticAdditionKernel()
: <a class="el" href="classarm__compute_1_1_n_e_arithmetic_addition_kernel.xhtml#ad336181c06f2c2983212849bd9ebcd35">NEArithmeticAdditionKernel</a>
</li>
<li>NEArithmeticSubtractionKernel()
: <a class="el" href="classarm__compute_1_1_n_e_arithmetic_subtraction_kernel.xhtml#a6501ef61f473949fc980b4ada8e18bad">NEArithmeticSubtractionKernel</a>
</li>
<li>NEBitwiseAndKernel()
: <a class="el" href="classarm__compute_1_1_n_e_bitwise_and_kernel.xhtml#a1b109ddb7c5e104d2f294cdb4b3c8046">NEBitwiseAndKernel</a>
</li>
<li>NEBitwiseNotKernel()
: <a class="el" href="classarm__compute_1_1_n_e_bitwise_not_kernel.xhtml#aa395e9208cb5dda01e4197ead2a0f5a0">NEBitwiseNotKernel</a>
</li>
<li>NEBitwiseOrKernel()
: <a class="el" href="classarm__compute_1_1_n_e_bitwise_or_kernel.xhtml#afaa91b93bf4940fac54f1bb0572249a7">NEBitwiseOrKernel</a>
</li>
<li>NEBitwiseXorKernel()
: <a class="el" href="classarm__compute_1_1_n_e_bitwise_xor_kernel.xhtml#aa5786af8781e59574815a07c6746943a">NEBitwiseXorKernel</a>
</li>
<li>NECannyEdge()
: <a class="el" href="classarm__compute_1_1_n_e_canny_edge.xhtml#ae42141847e0a4f706223a1f71d435451">NECannyEdge</a>
</li>
<li>NEChannelCombineKernel()
: <a class="el" href="classarm__compute_1_1_n_e_channel_combine_kernel.xhtml#a4ed070d1cc30490bb12259e2c47272b6">NEChannelCombineKernel</a>
</li>
<li>NEChannelExtractKernel()
: <a class="el" href="classarm__compute_1_1_n_e_channel_extract_kernel.xhtml#a61c8ec45550ad9df947ffb7d6fe81fb9">NEChannelExtractKernel</a>
</li>
<li>NECol2ImKernel()
: <a class="el" href="classarm__compute_1_1_n_e_col2_im_kernel.xhtml#a84d2ca986ac959613f3ed9c44185242c">NECol2ImKernel</a>
</li>
<li>NEColorConvertKernel()
: <a class="el" href="classarm__compute_1_1_n_e_color_convert_kernel.xhtml#a9b2bcb8adfe5bd1ab71a73daf10dca6d">NEColorConvertKernel</a>
</li>
<li>NEConvolution5x5()
: <a class="el" href="classarm__compute_1_1_n_e_convolution5x5.xhtml#a917624d838b4c70bdc453d9459cb6e66">NEConvolution5x5</a>
</li>
<li>NEConvolution7x7()
: <a class="el" href="classarm__compute_1_1_n_e_convolution7x7.xhtml#ac2d8e4e4d1c09ce6dcf88b4728a44621">NEConvolution7x7</a>
</li>
<li>NEConvolution9x9()
: <a class="el" href="classarm__compute_1_1_n_e_convolution9x9.xhtml#ada1aa23065a11fa05e6880a84392b471">NEConvolution9x9</a>
</li>
<li>NEConvolutionKernel()
: <a class="el" href="classarm__compute_1_1_n_e_convolution_kernel.xhtml#a230a4894adf8380eca9e8c2aac03e9b8">NEConvolutionKernel&lt; matrix_size &gt;</a>
</li>
<li>NEConvolutionLayer()
: <a class="el" href="classarm__compute_1_1_n_e_convolution_layer.xhtml#aa2ce2873b0d3a07ac896633115c5ab07">NEConvolutionLayer</a>
</li>
<li>NEConvolutionLayerWeightsReshapeKernel()
: <a class="el" href="classarm__compute_1_1_n_e_convolution_layer_weights_reshape_kernel.xhtml#a8c02b4166b202028f653aba36f21a024">NEConvolutionLayerWeightsReshapeKernel</a>
</li>
<li>NEConvolutionRectangleKernel()
: <a class="el" href="classarm__compute_1_1_n_e_convolution_rectangle_kernel.xhtml#a437bfa972bdb089215368c344cce05d3">NEConvolutionRectangleKernel</a>
</li>
<li>NECumulativeDistributionKernel()
: <a class="el" href="classarm__compute_1_1_n_e_cumulative_distribution_kernel.xhtml#a6fa25b9f56915d8a179725e5bab75640">NECumulativeDistributionKernel</a>
</li>
<li>NEDepthConvert()
: <a class="el" href="classarm__compute_1_1_n_e_depth_convert.xhtml#a04fc944cc2e562f29c8b1099566cc07e">NEDepthConvert</a>
</li>
<li>NEDepthConvertKernel()
: <a class="el" href="classarm__compute_1_1_n_e_depth_convert_kernel.xhtml#a880f5df3eb7f21d96561e16d6b858697">NEDepthConvertKernel</a>
</li>
<li>NEDerivative()
: <a class="el" href="classarm__compute_1_1_n_e_derivative.xhtml#a06a119e5e329e9283c4c884a1d927914">NEDerivative</a>
</li>
<li>NEDerivativeKernel()
: <a class="el" href="classarm__compute_1_1_n_e_derivative_kernel.xhtml#ac317d66b746c86ea136eb7996c897b22">NEDerivativeKernel</a>
</li>
<li>NEEdgeNonMaxSuppressionKernel()
: <a class="el" href="classarm__compute_1_1_n_e_edge_non_max_suppression_kernel.xhtml#a7e3beb7abd77b10e6630ae83f33e558b">NEEdgeNonMaxSuppressionKernel</a>
</li>
<li>NEEdgeTraceKernel()
: <a class="el" href="classarm__compute_1_1_n_e_edge_trace_kernel.xhtml#a612c2d90812d66a7ce4c2f588b5845c4">NEEdgeTraceKernel</a>
</li>
<li>NEEqualizeHistogram()
: <a class="el" href="classarm__compute_1_1_n_e_equalize_histogram.xhtml#ae45d670bd9b55e0c7837094d5f20449e">NEEqualizeHistogram</a>
</li>
<li>NEFastCorners()
: <a class="el" href="classarm__compute_1_1_n_e_fast_corners.xhtml#a19b25a6272724ef74321c92f6a47a7df">NEFastCorners</a>
</li>
<li>NEFastCornersKernel()
: <a class="el" href="classarm__compute_1_1_n_e_fast_corners_kernel.xhtml#ad7651a9d61e2bbc1debf8aeea2594ae4">NEFastCornersKernel</a>
</li>
<li>NEFillArrayKernel()
: <a class="el" href="classarm__compute_1_1_n_e_fill_array_kernel.xhtml#a3977e850ced9f5b343b76a93b0754ca0">NEFillArrayKernel</a>
</li>
<li>NEFillBorderKernel()
: <a class="el" href="classarm__compute_1_1_n_e_fill_border_kernel.xhtml#a687427caf0b665fce20cac17d238e946">NEFillBorderKernel</a>
</li>
<li>NEFillInnerBorderKernel()
: <a class="el" href="classarm__compute_1_1_n_e_fill_inner_border_kernel.xhtml#aa95aec621a23e04b38a66bd777125b26">NEFillInnerBorderKernel</a>
</li>
<li>NEFullyConnectedLayer()
: <a class="el" href="classarm__compute_1_1_n_e_fully_connected_layer.xhtml#a9a5cc50098bbd29bd8cd04040f7f0fe1">NEFullyConnectedLayer</a>
</li>
<li>NEGaussian5x5()
: <a class="el" href="classarm__compute_1_1_n_e_gaussian5x5.xhtml#a68588d8d5582ef6c0ad8fea6ac77dd25">NEGaussian5x5</a>
</li>
<li>NEGaussian5x5HorKernel()
: <a class="el" href="classarm__compute_1_1_n_e_gaussian5x5_hor_kernel.xhtml#ac1b9627b3909b4050f88a7f87ba65953">NEGaussian5x5HorKernel</a>
</li>
<li>NEGaussianPyramid()
: <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid.xhtml#adf74ce175214d5cdbc645c05fb31b21b">NEGaussianPyramid</a>
</li>
<li>NEGaussianPyramidHalf()
: <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_half.xhtml#af738e667c218a7d293fdc06925194b1f">NEGaussianPyramidHalf</a>
</li>
<li>NEGaussianPyramidHorKernel()
: <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_hor_kernel.xhtml#a1dfc79d471f28f16d94dd428e1d29abb">NEGaussianPyramidHorKernel</a>
</li>
<li>NEGaussianPyramidOrb()
: <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_orb.xhtml#a944408035fc5125bab445b8241abcd90">NEGaussianPyramidOrb</a>
</li>
<li>NEGaussianPyramidVertKernel()
: <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_vert_kernel.xhtml#a7d7c6bdf235be21dd5c0dd0c17182248">NEGaussianPyramidVertKernel</a>
</li>
<li>NEGEMM()
: <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m.xhtml#a7e368127dca3cd00895300376bdbaf85">NEGEMM</a>
</li>
<li>NEGEMMInterleave4x4Kernel()
: <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_interleave4x4_kernel.xhtml#ae05d4514f4b8415dbd21e900cffb2fbc">NEGEMMInterleave4x4Kernel</a>
</li>
<li>NEGEMMLowp()
: <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_lowp.xhtml#ab81dff462e5bc8bb60c9a7fcd93eca75">NEGEMMLowp</a>
</li>
<li>NEGEMMLowpMatrixMultiplyKernel()
: <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_lowp_matrix_multiply_kernel.xhtml#a81181df64bd527630a72dc7ce5109f49">NEGEMMLowpMatrixMultiplyKernel</a>
</li>
<li>NEGEMMMatrixAccumulateBiasesKernel()
: <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_matrix_accumulate_biases_kernel.xhtml#aa3c78a8fb89c877aae90f2e76d1fe5ec">NEGEMMMatrixAccumulateBiasesKernel</a>
</li>
<li>NEGEMMMatrixAdditionKernel()
: <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_matrix_addition_kernel.xhtml#ab2165f92396a03786cf5e499c4d0e62c">NEGEMMMatrixAdditionKernel</a>
</li>
<li>NEGEMMMatrixMultiplyKernel()
: <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_matrix_multiply_kernel.xhtml#aeef5692e383060fe73ee1eb989b96ad4">NEGEMMMatrixMultiplyKernel</a>
</li>
<li>NEGradientKernel()
: <a class="el" href="classarm__compute_1_1_n_e_gradient_kernel.xhtml#a7da52d0627026b852dc51dbab82a978b">NEGradientKernel</a>
</li>
<li>NEHarrisCorners()
: <a class="el" href="classarm__compute_1_1_n_e_harris_corners.xhtml#a259da54cffdfb1865c7f5374f3e7142c">NEHarrisCorners</a>
</li>
<li>NEHarrisScoreFP16Kernel()
: <a class="el" href="classarm__compute_1_1_n_e_harris_score_f_p16_kernel.xhtml#a97cb6fc2b52a60bdccca7b7359df5211">NEHarrisScoreFP16Kernel&lt; block_size &gt;</a>
</li>
<li>NEHarrisScoreKernel()
: <a class="el" href="classarm__compute_1_1_n_e_harris_score_kernel.xhtml#a18cf8876acac9c6c2b35e38d9beabe9d">NEHarrisScoreKernel&lt; block_size &gt;</a>
</li>
<li>NEHistogram()
: <a class="el" href="classarm__compute_1_1_n_e_histogram.xhtml#a15d0892c4a1aa404f5a6967b8bc49fa8">NEHistogram</a>
</li>
<li>NEHistogramBorderKernel()
: <a class="el" href="classarm__compute_1_1_n_e_histogram_border_kernel.xhtml#ad5ec064530e99e18604b748db95057a2">NEHistogramBorderKernel</a>
</li>
<li>NEHistogramKernel()
: <a class="el" href="classarm__compute_1_1_n_e_histogram_kernel.xhtml#a13563fca453f4925820f84d182294b9d">NEHistogramKernel</a>
</li>
<li>NEHOGBlockNormalizationKernel()
: <a class="el" href="classarm__compute_1_1_n_e_h_o_g_block_normalization_kernel.xhtml#a2326d9458e2047eef9b26745db76ad79">NEHOGBlockNormalizationKernel</a>
</li>
<li>NEHOGDescriptor()
: <a class="el" href="classarm__compute_1_1_n_e_h_o_g_descriptor.xhtml#a571271ae391444eb3fab115114574653">NEHOGDescriptor</a>
</li>
<li>NEHOGDetectorKernel()
: <a class="el" href="classarm__compute_1_1_n_e_h_o_g_detector_kernel.xhtml#a2c0f4bf7e37cb04bf2384f4bc71b84d5">NEHOGDetectorKernel</a>
</li>
<li>NEHOGGradient()
: <a class="el" href="classarm__compute_1_1_n_e_h_o_g_gradient.xhtml#ab664c758b1e6a112b0a9f2e82b04f605">NEHOGGradient</a>
</li>
<li>NEHOGMultiDetection()
: <a class="el" href="classarm__compute_1_1_n_e_h_o_g_multi_detection.xhtml#a463ea561c0ec68b57bccc5f4b2485ac8">NEHOGMultiDetection</a>
</li>
<li>NEHOGNonMaximaSuppressionKernel()
: <a class="el" href="classarm__compute_1_1_n_e_h_o_g_non_maxima_suppression_kernel.xhtml#afb444379f57371804cf7b586bea94115">NEHOGNonMaximaSuppressionKernel</a>
</li>
<li>NEHOGOrientationBinningKernel()
: <a class="el" href="classarm__compute_1_1_n_e_h_o_g_orientation_binning_kernel.xhtml#af2fb5e2868809c6b7e1e472dd34ddbea">NEHOGOrientationBinningKernel</a>
</li>
<li>NEIm2ColKernel()
: <a class="el" href="classarm__compute_1_1_n_e_im2_col_kernel.xhtml#aec5fb874227c941e8ac14de3d29e543b">NEIm2ColKernel</a>
</li>
<li>NELaplacianPyramid()
: <a class="el" href="classarm__compute_1_1_n_e_laplacian_pyramid.xhtml#a4b03c61f02f3e0119fa71877abb9b4b8">NELaplacianPyramid</a>
</li>
<li>NELaplacianReconstruct()
: <a class="el" href="classarm__compute_1_1_n_e_laplacian_reconstruct.xhtml#a1490de9008819d066ff78159afb03fe0">NELaplacianReconstruct</a>
</li>
<li>NELKTrackerKernel()
: <a class="el" href="classarm__compute_1_1_n_e_l_k_tracker_kernel.xhtml#a10e6214af1515f5916f93dddd1bb3124">NELKTrackerKernel</a>
</li>
<li>NELogits1DMaxKernel()
: <a class="el" href="classarm__compute_1_1_n_e_logits1_d_max_kernel.xhtml#a7dcfcda37359d31c2510ad865f4ca051">NELogits1DMaxKernel</a>
</li>
<li>NELogits1DNormKernel()
: <a class="el" href="classarm__compute_1_1_n_e_logits1_d_norm_kernel.xhtml#a5c19b755e115e7128e4ad5cf2408bbe4">NELogits1DNormKernel</a>
</li>
<li>NELogits1DShiftExpSumKernel()
: <a class="el" href="classarm__compute_1_1_n_e_logits1_d_shift_exp_sum_kernel.xhtml#a47f13f5423a3a7e32d82e74a6c918cac">NELogits1DShiftExpSumKernel</a>
</li>
<li>NEMagnitudePhaseFP16Kernel()
: <a class="el" href="classarm__compute_1_1_n_e_magnitude_phase_f_p16_kernel.xhtml#a67985137eb73958ea7b152935484332c">NEMagnitudePhaseFP16Kernel&lt; mag_type, phase_type &gt;</a>
</li>
<li>NEMagnitudePhaseKernel()
: <a class="el" href="classarm__compute_1_1_n_e_magnitude_phase_kernel.xhtml#a53c147feec3c6f2912779194fa2b5513">NEMagnitudePhaseKernel&lt; mag_type, phase_type &gt;</a>
</li>
<li>NEMeanStdDev()
: <a class="el" href="classarm__compute_1_1_n_e_mean_std_dev.xhtml#a08ebd3b5f0e06c72c512d799cd9fccd2">NEMeanStdDev</a>
</li>
<li>NEMeanStdDevKernel()
: <a class="el" href="classarm__compute_1_1_n_e_mean_std_dev_kernel.xhtml#a6a85f552b312ad2560ae02676db95f9e">NEMeanStdDevKernel</a>
</li>
<li>NEMinMaxKernel()
: <a class="el" href="classarm__compute_1_1_n_e_min_max_kernel.xhtml#a6838da666c340e4d73e8779d710a2dfd">NEMinMaxKernel</a>
</li>
<li>NEMinMaxLocation()
: <a class="el" href="classarm__compute_1_1_n_e_min_max_location.xhtml#ae1e54926ff0f8534bbd3a97d9c0fdaa2">NEMinMaxLocation</a>
</li>
<li>NEMinMaxLocationKernel()
: <a class="el" href="classarm__compute_1_1_n_e_min_max_location_kernel.xhtml#a6971de3cc78ca3734cc210752253f76b">NEMinMaxLocationKernel</a>
</li>
<li>NENonLinearFilterKernel()
: <a class="el" href="classarm__compute_1_1_n_e_non_linear_filter_kernel.xhtml#a96fdf0f338c5dc5cee8fc2cad8b37b6b">NENonLinearFilterKernel</a>
</li>
<li>NENonMaximaSuppression3x3Kernel()
: <a class="el" href="classarm__compute_1_1_n_e_non_maxima_suppression3x3_kernel.xhtml#a23a87d0179856717eec69f3b960d3e78">NENonMaximaSuppression3x3Kernel</a>
</li>
<li>NENormalizationLayer()
: <a class="el" href="classarm__compute_1_1_n_e_normalization_layer.xhtml#a37c02a72e62b5add96e4f99e81b0ecc3">NENormalizationLayer</a>
</li>
<li>NENormalizationLayerKernel()
: <a class="el" href="classarm__compute_1_1_n_e_normalization_layer_kernel.xhtml#ab3498b8beb89599cee12a9e2ac083d88">NENormalizationLayerKernel</a>
</li>
<li>NEOpticalFlow()
: <a class="el" href="classarm__compute_1_1_n_e_optical_flow.xhtml#a4a73c29e87005e43223003f15d71671c">NEOpticalFlow</a>
</li>
<li>NEPixelWiseMultiplicationKernel()
: <a class="el" href="classarm__compute_1_1_n_e_pixel_wise_multiplication_kernel.xhtml#ac23503429643fa0415fd64b1fc17e40c">NEPixelWiseMultiplicationKernel</a>
</li>
<li>NEPoolingLayerKernel()
: <a class="el" href="classarm__compute_1_1_n_e_pooling_layer_kernel.xhtml#ab35670d771933fa900a8cccae52cc0dd">NEPoolingLayerKernel</a>
</li>
<li>NERemapKernel()
: <a class="el" href="classarm__compute_1_1_n_e_remap_kernel.xhtml#aca07bf938309c22c50104ed93b7d3d1e">NERemapKernel</a>
</li>
<li>NEScale()
: <a class="el" href="classarm__compute_1_1_n_e_scale.xhtml#a30a0363a371ac59877079c6ec1962657">NEScale</a>
</li>
<li>NEScaleKernel()
: <a class="el" href="classarm__compute_1_1_n_e_scale_kernel.xhtml#ae1d7843aaf1b5e13bf8403e44249b97a">NEScaleKernel</a>
</li>
<li>NEScharr3x3Kernel()
: <a class="el" href="classarm__compute_1_1_n_e_scharr3x3_kernel.xhtml#aa92e67ceef8ce3ddbee234f9f3a28220">NEScharr3x3Kernel</a>
</li>
<li>NESeparableConvolutionHorKernel()
: <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_hor_kernel.xhtml#a965a154580e00968b45aa6268986cd51">NESeparableConvolutionHorKernel&lt; matrix_size &gt;</a>
</li>
<li>NESeparableConvolutionVertKernel()
: <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_vert_kernel.xhtml#ac3aaa23fc2c41fdb7a6de14841631fbd">NESeparableConvolutionVertKernel&lt; matrix_size &gt;</a>
</li>
<li>NESobel3x3Kernel()
: <a class="el" href="classarm__compute_1_1_n_e_sobel3x3_kernel.xhtml#a517dc6cf8dd14439b40ba8c06ead5810">NESobel3x3Kernel</a>
</li>
<li>NESobel5x5()
: <a class="el" href="classarm__compute_1_1_n_e_sobel5x5.xhtml#acb0aef0b89d0ce59b012542afdc4409d">NESobel5x5</a>
</li>
<li>NESobel5x5HorKernel()
: <a class="el" href="classarm__compute_1_1_n_e_sobel5x5_hor_kernel.xhtml#a8dea438b6d74a45c8315643c5ffbc54b">NESobel5x5HorKernel</a>
</li>
<li>NESobel5x5VertKernel()
: <a class="el" href="classarm__compute_1_1_n_e_sobel5x5_vert_kernel.xhtml#ab46cf54e2df5a20b634660a06e48e9d5">NESobel5x5VertKernel</a>
</li>
<li>NESobel7x7()
: <a class="el" href="classarm__compute_1_1_n_e_sobel7x7.xhtml#a2d2ba69a0af073b80380925e3e86237a">NESobel7x7</a>
</li>
<li>NESobel7x7HorKernel()
: <a class="el" href="classarm__compute_1_1_n_e_sobel7x7_hor_kernel.xhtml#ac9d0ac2c616250612ac3835839480cc3">NESobel7x7HorKernel</a>
</li>
<li>NESobel7x7VertKernel()
: <a class="el" href="classarm__compute_1_1_n_e_sobel7x7_vert_kernel.xhtml#a685552a5f91d30d8f5b4ce2003771d18">NESobel7x7VertKernel</a>
</li>
<li>NESoftmaxLayer()
: <a class="el" href="classarm__compute_1_1_n_e_softmax_layer.xhtml#ab6c76795d4cd1b6ab83154a10576b2b7">NESoftmaxLayer</a>
</li>
<li>NETableLookupKernel()
: <a class="el" href="classarm__compute_1_1_n_e_table_lookup_kernel.xhtml#a74990bcb63bbbc6042000a9fb7207507">NETableLookupKernel</a>
</li>
<li>NEThresholdKernel()
: <a class="el" href="classarm__compute_1_1_n_e_threshold_kernel.xhtml#a5d0259c161d942ed6ed833206c643e45">NEThresholdKernel</a>
</li>
<li>NETransposeKernel()
: <a class="el" href="classarm__compute_1_1_n_e_transpose_kernel.xhtml#a3a5122ad042e8f04a6cd96980bce3d49">NETransposeKernel</a>
</li>
<li>norm_size()
: <a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a0549be3702c05e6ec1ada69a6d08e349">NormalizationLayerInfo</a>
</li>
<li>normalization_type()
: <a class="el" href="classarm__compute_1_1_h_o_g_info.xhtml#aed90de2ef57929727bb2159b66d04487">HOGInfo</a>
</li>
<li>NormalizationLayerInfo()
: <a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a364517fc26d500026eaa13f50db45703">NormalizationLayerInfo</a>
</li>
<li>num_arguments_per_1D_tensor()
: <a class="el" href="classarm__compute_1_1_i_c_l_kernel.xhtml#a770f45838881fc061294e56d64f34386">ICLKernel</a>
</li>
<li>num_arguments_per_2D_tensor()
: <a class="el" href="classarm__compute_1_1_i_c_l_kernel.xhtml#ac734502531e7f95e25b3bf688a304a59">ICLKernel</a>
</li>
<li>num_arguments_per_3D_tensor()
: <a class="el" href="classarm__compute_1_1_i_c_l_kernel.xhtml#a4feaae9c860cddfa843d37c953674a22">ICLKernel</a>
</li>
<li>num_bins()
: <a class="el" href="classarm__compute_1_1_h_o_g_info.xhtml#ae3664b841732a09d7749953ca5b81373">HOGInfo</a>
, <a class="el" href="classarm__compute_1_1_i_distribution1_d.xhtml#ae3664b841732a09d7749953ca5b81373">IDistribution1D</a>
</li>
<li>num_blocks_per_image()
: <a class="el" href="classarm__compute_1_1_h_o_g_info.xhtml#a649a86d58ff88cfd8523d6cb71d64332">HOGInfo</a>
</li>
<li>num_cells_per_block()
: <a class="el" href="classarm__compute_1_1_h_o_g_info.xhtml#adb20b5249eedf180a461ea097622fe7f">HOGInfo</a>
</li>
<li>num_channels()
: <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#a330472af42b92ad18b93c06d5b510faa">TensorInfo</a>
</li>
<li>num_dimensions()
: <a class="el" href="classarm__compute_1_1_dimensions.xhtml#a0f59f175e7682c7ed5f4ea30ef687834">Dimensions&lt; T &gt;</a>
, <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#a38382dc1f04d28cab04d921b8324dc07">TensorInfo</a>
</li>
<li>num_elements()
: <a class="el" href="classarm__compute_1_1_c_l_lut.xhtml#a6dac829b4ddf4a5729ac090e73696958">CLLut</a>
, <a class="el" href="classarm__compute_1_1_i_lut.xhtml#a7a826fbb4f639c556352d1ede69187d7">ILut</a>
, <a class="el" href="classarm__compute_1_1_i_lut_allocator.xhtml#a3f7ed6a14a98f283aa700342b9cc2a01">ILutAllocator</a>
, <a class="el" href="classarm__compute_1_1_lut.xhtml#a6dac829b4ddf4a5729ac090e73696958">Lut</a>
</li>
<li>num_iterations()
: <a class="el" href="classarm__compute_1_1_window.xhtml#a7b83048403721ed7e90d402e7cf3999b">Window</a>
</li>
<li>num_levels()
: <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a14af062b9f957e61e4efe171fe7065a3">PyramidInfo</a>
</li>
<li>num_max_dimensions
: <a class="el" href="classarm__compute_1_1_dimensions.xhtml#a1b67d5b720119d50faa286c774579ecc">Dimensions&lt; T &gt;</a>
</li>
<li>num_models()
: <a class="el" href="classarm__compute_1_1_i_multi_h_o_g.xhtml#a36ab43f5c3606001dcd2468b955f3e02">IMultiHOG</a>
, <a class="el" href="classarm__compute_1_1_multi_h_o_g.xhtml#a63070a779573aae4282278bc08390329">MultiHOG</a>
</li>
<li>num_threads()
: <a class="el" href="classarm__compute_1_1_c_p_p_scheduler.xhtml#a62815e4265bc472328e1992a499dca0a">CPPScheduler</a>
, <a class="el" href="classarm__compute_1_1_window.xhtml#a3189e7be57879a610d060f7f0c9d4d03">Window</a>
</li>
<li>num_values()
: <a class="el" href="classarm__compute_1_1_i_array.xhtml#a6dc031c18a14371984493b25a4230f59">IArray&lt; T &gt;</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
